GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

API Reference overview
REST
    Orders
    Market Data
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
    Derivatives
    Prediction markets
    Common
      OAuth
      Admin
        SubaccountsCreate New AccountGet Account DetailList Accounts in GroupRename AccountRoles Endpoint
WebSocket
    Core protocol
      IntroductionCoreAuthenticationCoreMessage formatCore
      Shared streams
        Book tickerL2 partial depthL2 differential depthTrade streamOrder eventsBalance updates
      Shared methods
    Prediction-market extensions
      Streams
        Position updatesPredictionContract statusPrediction
      Combo RFQ
        OverviewPredictionWebSocket streamsPredictionQuote methodsPredictionMaker integrationPredictionExamplesPrediction
FIX
Authentication and account context
Prediction markets schemas

List Accounts in Group

REST APIsCommonAdminList Accounts in Group

List Accounts in Group

POSThttps://api.gemini.com/v1/account/list

A Master API key can be used to get the accounts within the group. A maximum of 500 accounts can be listed in a single API call.

POSTv1/account/list
curl --request POST \
  --url https://api.gemini.com/v1/account/list \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/account/list",
  "nonce": "<nonce>",
  "limit_accounts": 100,
  "timestamp": 1632485834721
}
'

Roles

The API key you use to access this endpoint must be a Master level key. See Roles for more information.

The OAuth scope must have account:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/account/list"
nonceTimestampType | integer·required
timestampExample: 1495127793000
limit_accountsinteger
The maximum number of accounts to return. Maximum and default values are both 500.
timestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
Example request body
{
  "request": "/v1/account/list",
  "nonce": "<nonce>",
  "limit_accounts": 100,
  "timestamp": 1632485834721
}

Responses

The response will be a JSON object containing all accounts within the master group

namestring
The name of the account provided upon creation
accountstring
Nickname of the specific account (will take the name given, remove all symbols, replace all " " with "-" and make letters lowercase)
typestring
Either "exchange" or "custody" depending on type of account
counterparty_idstring
The Gemini clearing counterparty ID associated with the API key making the request. Will return `None` for custody accounts
createdstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
statusstring
Either "open" or "closed"
Example Responses
[
  {
    "name": "Primary",
    "account": "primary",
    "type": "exchange",
    "counterparty_id": "EMONNYXH",
    "created": 1495127793000,
    "status": "open"
  },
  {
    "name": "My Custody Account",
    "account": "my-custody-account",
    "type": "custody",
    "counterparty_id": null,
    "created": 1565970772000,
    "status": "open"
  },
  {
    "name": "Other exchange account!",
    "account": "other-exchange-account",
    "type": "exchange",
    "counterparty_id": "EMONNYXK",
    "created": 1565970772000,
    "status": "closed"
  }
]
PreviousGet Account DetailNextRename Account